#include <stdio.h>
#include <stdlib.h>
//#include <string>
#include <iostream>
#include <fstream>
using namespace std;

#include "MyClassIO.h"

#include "MyClassA.h"

//______________________________________________________________________________
MyClassA::MyClassA()
{
//   cout << "---MyClassA::MyClassA()---------" << endl;
   printf("---MyClassA::MyClassA()---------\n");
}

//______________________________________________________________________________
MyClassA::~MyClassA()
{
//   cout << "---MyClassA::~MyClassA()---------" << endl;
   printf("---MyClassA::~MyClassA()---------\n");
}

//______________________________________________________________________________
int MyClassA::TestMultiply(int n, int m)
{
//   cout << "------MyClassA::TestMultiply------" << endl;
   printf("---MyClassA::TestMultiply---------\n");

   printf("printf: n * m = %d\n", n*m);
   cout << "cout:   " << n << " * " << m << " = " << n*m << endl;
   return (n * m);
}

//______________________________________________________________________________
void MyClassA::TestC(const char *name)
{
//   cout << "------MyClassA::TestC------" << endl;
   printf("---MyClassA::TestC---------\n");

   const char *str = "char_string";
   printf("str = %s\n", str);

//   fString = name;
   printf("MyClassA: fString = %s\n", name);
}

//______________________________________________________________________________
void MyClassA::TestCpp(const char *name)
{
//   cout << "------MyClassA::TestCpp------" << endl;
   printf("---MyClassA::TestCpp---------\n");

   const char *str = "char_string";
   cout << "  str = " << str << endl;

//   fString = name;
   cout << "  MyClassA: fString = " << name << endl;
}

//______________________________________________________________________________
void MyClassA::ReadFileC(const char *infile)
{
//   cout << "------MyClassA::ReadFileC------" << endl;
   printf("---MyClassA::ReadFileC---------\n");

   MyClassIO *classIO = new MyClassIO();

   classIO->ReadFileC(infile);

   delete classIO;
}

//______________________________________________________________________________
void MyClassA::ReadFileCpp(const char *infile)
{
//   cout << "------MyClassA::ReadFileCCpp------" << endl;
   printf("---MyClassA::ReadFileCpp---------\n");
//   std::cout << "------MyClassA::ReadFileCpp------" << endl;


   MyClassIO *classIO = new MyClassIO();

   classIO->ReadFileCpp(infile);

   delete classIO;
}

//______________________________________________________________________________
void MyClassA::WriteFileC(const char *outfile)
{
//   cout << "------MyClassA::WriteFileC------" << endl;
   printf("---MyClassA::WriteFileC---------\n");


   MyClassIO *classIO = new MyClassIO();

   classIO->WriteFileC(outfile);

   delete classIO;
}

//______________________________________________________________________________
void MyClassA::WriteFileCpp(const char *outfile)
{
//   cout << "------MyClassA::WriteFileCpp------" << endl;
   printf("---MyClassA::WriteFileCpp---------\n");
//   std::cout << "------MyClassA::WriteFileCpp------" << endl;

   MyClassIO *classIO = new MyClassIO();

   classIO->WriteFileCpp(outfile);

   delete classIO;
}

